import 'package:sqflite/sqflite.dart';
import 'package:path/path.dart';
import 'sql.dart';

class DB {
  int _version = 1;
  Database db;

  /// 打开数据库
  Future init() async {
    var databasesPath = await getDatabasesPath();
    String path = join(
      databasesPath,
      'qm_tj.db',
    );
    db = await openDatabase(path, version: _version,
        onCreate: (Database db, int version) async {
      await db.execute(SQL_APP_TJ_TABLE);
      await db.execute(SQL_PAGE_TJ_TABLE);
      await db.execute(SQL_TAP_TJ_TABLE);
      await db.execute(SQL_EXPOSURE_TJ_TABLE);
    });
  }
}

